Update group

PATCH
https://example.kaiten.ru/api/latest/company/groups/{uid}
Path parameters
NameTypeReference
uidrequiredstringGroup Uid
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
name
string
minLength: 1
maxLength: 512

Group name

permissions
integer

Group permissions(bit mask)

add_to_cards_and_spaces_enabled
boolean

Ability to add all users of the group to cards, placed in group spaces. Ability to filter logs by group in «Timesheets»

Group аccess permissions

Detailed info for access permissions and its values

Access nameValue
Administrative section "Members"
1
Administrative section "Billing"
2
Administrative section "Company settings"
4
Administrative section "Spaces"
16
Administrative section "Card types"
32
Administrative section "Timesheets""
64
Allow to read entries of colleagues in the card's Timesheets
128
Administrative section "Export company data"
256
Administrative section "Tags"
512
Allow to invite users into the company
1024
Settings sections of "Service Desk"
2048
Allow to create custom properties for cards
4096
Allow to open public access for cards (share the card)
8192
Allow to convert cards to service desk requests and changing the author
16384
Administrative section "Activity Logs"
32768
Resource planning
65536
Administrative section "Calendars"
131072
Analytics sections of "Service Desk"
262144
Requests section of "Service Desk"
524288
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
name

string

Group name
permissions

integer

Group permissions
updated

string

Last update timestamp
created

string

Create date
id

integer

Group id
uid

string

Group uid
add_to_cards_and_spaces_enabled

boolean

Ability to add all users of the group to cards, placed in group spaces. Ability to filter logs by group in «Timesheets»
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

402
DescriptionResponse typeExample
Feature is not supported by tariffObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

Examples

How to set group permissions. To set permissions you need to sum their values, in the example below permissions are set for the administrative section "Members" and "Billing"

{
  "permissions": 3
}
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request PATCH \
  2       --url 'https://example.kaiten.ru/api/latest/company/groups/{uid}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!